#!/bin/sh

# From https://wiki.debian.org/DDNS

# 1. Generate a DNSSEC key pair
dnssec-keygen -a HMAC-MD5 -b 128 -r /dev/urandom -K . -n USER DDNS_UPDATE

# 2. Extract the key part from the private key file
KEY=$(awk '$1 == "Key:" {print $2}' Kddns_update.*.private)

# 3. Create a ddns.key file.
cat > ddns.key <<EOF
key DDNS_UPDATE {
  algorithm HMAC-MD5.SIG-ALG.REG.INT;
  secret "$KEY";
}
EOF
